namespace ReportLibrary
{
    using System.ComponentModel;
    using System.Data;
    using System.Drawing;
    using Telerik.Reporting;
    using Telerik.Reporting.Drawing;

    /// <summary>
    /// Summary description for Report1.
    /// </summary>
    public partial class Report1 : Report
    {
        public Report1()
        {
            /// <summary>
            /// Required for telerik Reporting designer support
            /// </summary>
            InitializeComponent();

            //Use dummy data source for the sake of demonstration
            DataTable dummyDataSource = new DataTable("Dummy");
            dummyDataSource.Columns.Add("Column1", typeof (string));
            for (int i = 1; i <= 100; i++)
            {
                dummyDataSource.Rows.Add(new string[] { "Row" + i });
            }
            this.DataSource = dummyDataSource;
            //
            // TODO: Add any constructor code after InitializeComponent call
            //
        }

        int counter = 0;
        private void detail_ItemDataBound(object sender, System.EventArgs e)
        {
            Telerik.Reporting.Processing.DetailSection section = sender as Telerik.Reporting.Processing.DetailSection;
            if (counter % 2 == 0) //even row
            {
                section.Style.BackgroundColor = Color.Red;
                //add any other desired styling here
            }
            else //odd row
            {
                section.Style.BackgroundColor = Color.Yellow;
                //add any other desired styling here
            }
            counter++;

        }
    }
}